Account Requests
curl --request GET \
--url https://api.gcore.com/iam/activity_log/requests \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/activity_log/requests"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/activity_log/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"result": [
{
"id": 123456,
"actions": "2024-11-13T15:23:30Z",
"data": "string",
"user_email": "some@email.com",
"client": 123456,
"token": 123456,
"requested_at": "2024-11-13T15:23:30Z",
"path": "/users",
"remote_ip_address": "192.168.1.1",
"host": "example.com",
"method": "GET",
"query_params": "offset=20&limit=10",
"status_code": 200,
"reverted": true,
"user": 123456
}
],
"next": "/activity_log/requests?offset=20&limit=10",
"previous": "/activity_log/requests?offset=10&limit=10"
}{
"errors": {}
}Account
Account Requests
Information about the account’s requests.
GET
/
iam
/
activity_log
/
requests
Account Requests
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
The maximum number of items.
Offset relative to the beginning of list.
Was this page helpful?
⌘I